OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
NodeMaskSegment< NodeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | Ptr = SharedPtr< NodeMaskSegment >
using | NodeMaskType = typename NodeType::NodeMaskType

## Public Member Functions
| NodeMaskSegment ()

## Public Attributes
std::vector< NodeMaskSegment * > | connections
NodeMaskType | mask
Coord | origin
bool | visited

## Member Typedef Documentation

## ◆ NodeMaskType

using NodeMaskType = typename NodeType::NodeMaskType

## ◆ Ptr

using Ptr = SharedPtr<NodeMaskSegment>

## Constructor & Destructor Documentation

## ◆ NodeMaskSegment()

NodeMaskSegment | ( |  | ) |
| inline

## Member Data Documentation

## ◆ connections

std::vector<NodeMaskSegment*> connections

## ◆ mask

NodeMaskType mask

## ◆ origin

Coord origin

## ◆ visited

bool visited

The documentation for this struct was generated from the following file:

- LevelSetUtil.h